COLOR_REST='\e[0m'
COLOR_GREEN='\e[0;32m';
COLOR_RED='\e[0;31m';
CLASSES="
SYNO_DiskDrive
SYNO_StorageExtent
SYNO_MediaPresent
SYNO_HostedService_StorageConfigurationService
SYNO_StorageConfigurationService
SYNO_StorageConfigurationCapabilities
SYNO_ElementCapabilities_StorageConfigurationCapabilities
SYNO_HostedStoragePool_Primordial
SYNO_HostedStoragePool_Concrete
SYNO_StorageVolume
SYNO_AllocatedFromStoragePool_Concrete
SYNO_AllocatedFromStoragePool_Volume
SYNO_StorageCapabilities_Primordial
SYNO_StorageCapabilities_Concrete
SYNO_StorageSetting_Primordial
SYNO_StorageSetting_Concrete
SYNO_ElementCapabilities_Primordial
SYNO_ElementCapabilities_Concrete
SYNO_StorageSettingsAssociatedToCapabilities_Primordial
SYNO_StorageSettingsAssociatedToCapabilities_Concrete
SYNO_SystemDevice
SYNO_StoragePool_Primordial
SYNO_StoragePool_Concrete
SYNO_ElementSettingData_Volume
SYNO_StorageSetting_Volume
SYNO_ElementCapabilities_Concrete_ConfigurationCapabilities
SYNO_ReplicationService
SYNO_HostedService_ReplicationService
SYNO_StorageReplicationCapabilities
SYNO_ElementCapabilities_StorageReplicationCapabilities
SYNO_ElementCapabilities_ReplicationServiceCapabilities
SYNO_ProtocolControllerMaskingCapabilities
SYNO_ElementCapabilities_ProtocolControllerMaskingCapabilities
SYNO_ControllerConfigurationService
SYNO_HostedService_ControllerConfigurationService
SYNO_SCSIProtocolController
SYNO_SAPAvailableForElement_SPC
SYNO_StorageClientSettingData
SYNO_ElementSettingData_StorageClientSettingData
SYNO_ConcreteDependency_ControllerConfigurationService
SYNO_StorageHardwareID
SYNO_StorageHardwareIDManagementService
SYNO_ConcreteDependency_StorageHardwareIDManagementService
SYNO_HostedService_StorageHardwareIDManagementService
SYNO_PrivilegeManagementService
SYNO_HostedService_PrivilegeManagementService
SYNO_ElementSettingData_StorageHardwareID
SYNO_AuthorizedPrivilege
SYNO_ConcreteDependency_PrivilegeManagementService
SYNO_AuthorizedSubject
SYNO_AuthorizedTarget
SYNO_SystemDevice_SystemSPC
SYNO_ProtocolControllerForUnit
SYNO_iSCSIConfigurationCapabilities
SYNO_ElementCapabilities_iSCSIConfigurationCapabilities
SYNO_iSCSIConfigurationService
SYNO_HostedService_iSCSIConfigurationService
SYNO_iSCSIProtocolEndpoint
SYNO_EthernetPort
SYNO_HostedAccessPoint_iSCSI
SYNO_DeviceSAPImplementation_EthPortiSCSIProtocolEndpoint
SYNO_IPProtocolEndpoint
SYNO_HostedAccessPoint_IP
SYNO_HostedAccessPoint_TCP
SYNO_BindsTo_TCPIP
SYNO_BindsTo_TCP
SYNO_TCPProtocolEndpoint
SYNO_iSCSIConnectionSettings
SYNO_ElementSettingData_iSCSIProtocolEndpoint
SYNO_SystemDevice_EthernetPort
SYNO_ElementSettingData_TCPProtocolEndpoint
SYNO_PhysicalPackage
SYNO_Product
SYNO_ProductPhysicalComponent
SYNO_ComputerSystemPackage
SYNO_ComputerSystem
SYNO_SoftwareIdentity
SYNO_InstalledSoftwareIdentity
SYNO_SoftwareIdentity
SYNO_InstalledSoftwareIdentity
"

source /var/packages/SynoSmisProvider/scripts/cimserver_utils

for class in ${CLASSES}; do
	printf "$class: "

	/var/packages/SynoSmisProvider/target/pegasus/bin/cimcli ei $class -n root/syno > /dev/null 2>&1

	if [ 0 == $? ]; then
		echo -e "${COLOR_GREEN}pass${COLOR_REST}"
	else
		echo -e "${COLOR_GREEN}fail${COLOR_REST}"
	fi
done
